Trade >>
 Price : Float
 Amount : Integer
 Position : 1 | -1
;

TAverage StopLoss = Average( ?(T : Array : Trade), ?, ? )

StopLoss = TAverage( ?, 
                     ( X : X.Price ), 
                     ( X : X.Amount ) 
                   )

